Package twisted :: Package python :: Module threadpool

[show private | hide private]
[frames | no frames]

## Module twisted.python.threadpool

twisted.threadpool: a pool of threads to which we dispatch tasks.

If you want integration with Twisted's event loop then use twisted.internet.threadtask instead.

Classes
`ThreadPool` | This class (hopefully) generalizes the functionality of a pool of threads to which work can be dispatched.
`ThreadSafeList` | In Jython 2.1 lists aren't thread-safe, so this wraps it.

Variable Summary
`None` | `WorkerStop`

Variable Details

### WorkerStop

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:18:06 2003 | http://epydoc.sf.net